'\"<-xtx-*>eqn -Tpsc $CADIZ/mip/pub/zchars $XTX >standard_toolkit.z ; cadiz -l standard_toolkit
.EQ
delim $$
gfont HR
.EN
.TL
Mathematical toolkit
.AU
This is public domain material,
.br
as presented in the Z Standard (ISO/IEC 13568:2002).
'\"-------------------------
.NH 1
Introduction
.LP
The mathematical toolkit is an optional extension to
the compulsory Z core language.
It comprises a hierarchy of related sections,
each defining operators that are widely used in common application domains.

'\"\begin{figure}[h]
'\"\caption{Parent relation between sections of the mathematical toolkit}
'\"\begin{center}
'\"\begin{picture}(120,180)
'\"\put(20,170){\makebox(0,0){set\_toolkit}}
'\"\put(20,140){\vector(0,1){20}}
'\"\put(20,130){\makebox(0,0){relation\_toolkit}}
'\"\put(20,100){\vector(0,1){20}}
'\"\put(20,90){\makebox(0,0){function\_toolkit}}
'\"\put(100,90){\makebox(0,0){number\_toolkit}}
'\"\put(50,60){\vector(-1,1){20}}
'\"\put(70,60){\vector(1,1){20}}
'\"\put(60,50){\makebox(0,0){sequence\_toolkit}}
'\"\put(60,20){\vector(0,1){20}}
'\"\put(60,10){\makebox(0,0){standard\_toolkit}}
'\"\end{picture}
'\"\end{center}
'\"\end{figure}

The division of the mathematical toolkit into separate sections
allows use of certain subsets of the toolkit rather than its entirety.
For example,
if sequences are not used in a particular specification,
then using $function_toolkit$ and $number_toolkit$ as parents
avoids bringing the notation of $sequence_toolkit$ into scope.
Notations that are not reused can be given different definitions.

Section $standard_toolkit$ is an implicit parent of an anonymous specification.
'\"-------------------------
.NH 1
Standard toolkit
.LP
.ZH
section standard_toolkit parents sequence_toolkit
.ZE
The standard toolkit contains the definitions of section $sequence_toolkit$
(and implicitly those of its ancestral sections).
