%% 
%% This is file `isov2.cls',
%% generated with the docstrip utility.
%% 
%% The original source files were:
%% 
%% isoe.dtx  (with options: `iso')
%% 
%% Author: Peter Wilson (CUA and NIST) 
%% 
%% This system is distributed in the hope that it will be useful, 
%% but WITHOUT ANY WARRANTY; without even the implied warranty of 
%% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
%% 
%% \CharacterTable
%%  {Upper-case    \A\B\C\D\E\F\G\H\I\J\K\L\M\N\O\P\Q\R\S\T\U\V\W\X\Y\Z
%%   Lower-case    \a\b\c\d\e\f\g\h\i\j\k\l\m\n\o\p\q\r\s\t\u\v\w\x\y\z
%%   Digits        \0\1\2\3\4\5\6\7\8\9
%%   Exclamation   \!     Double quote  \"     Hash (number) \#
%%   Dollar        \$     Percent       \%     Ampersand     \&
%%   Acute accent  \'     Left paren    \(     Right paren   \)
%%   Asterisk      \*     Plus          \+     Comma         \,
%%   Minus         \-     Point         \.     Solidus       \/
%%   Colon         \:     Semicolon     \;     Less than     \<
%%   Equals        \=     Greater than  \>     Question mark \?
%%   Commercial at \@     Left bracket  \[     Backslash     \\
%%   Right bracket \]     Circumflex    \^     Underscore    \_
%%   Grave accent  \`     Left brace    \{     Vertical bar  \|
%%   Right brace   \}     Tilde         \~}
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{isov2}[1997/11/30 v2.0 LaTeX ISO document class]
\newcommand{\@ptsize}{}
\newif\if@restonecol
\def\isostringsequal #1#2{%
  TT\fi
  \edef\@is@str@ngsequali{#1}%
  \edef\@is@str@ngsequalii{#2}%
  \ifx\@is@str@ngsequali\@is@str@ngsequalii}
\def\isoemptystring #1{%
  TT\fi
  \if\isostringsequal{#1}{}}
\newcommand{\fillline}{\mbox{}\hrulefill\mbox{}}
\newif\if@us\@usfalse
\DeclareOption{a4paper}
   {\setlength\paperheight {297mm}%
    \setlength\paperwidth  {210mm}}
\DeclareOption{letterpaper}
   {\setlength\paperheight {11in}%
    \setlength\paperwidth  {8.5in}%
    \@ustrue}
\renewcommand{\@ptsize}{1}
\DeclareOption{9pt}{\renewcommand{\@ptsize}{9}}
\DeclareOption{10pt}{\renewcommand{\@ptsize}{0}}
\DeclareOption{11pt}{\renewcommand{\@ptsize}{1}}
\@twosidetrue  \@mparswitchtrue
\DeclareOption{onecolumn}{\@twocolumnfalse}
\DeclareOption{twocolumn}{\@twocolumntrue}
\newif\ifc@pyright\c@pyrightfalse
\newif\ifc@pyrightopt\c@pyrightoptfalse
\DeclareOption{copyright}{\c@pyrightopttrue}
\DeclareOption{notcopyright}{\c@pyrightoptfalse}
\newif\ifisst@ndard\isst@ndardfalse
\newif\iffdisst@ndard\fdisst@ndardfalse
\newif\ifdisst@ndard\disst@ndardfalse
\newif\ifcdst@ndard\cdst@ndardfalse
\newif\ifwdst@ndard\wdst@ndardfalse
\newif\ift@chrep\t@chrepfalse
\newif\ift@chcorr\t@chcorrfalse
\newif\if@therd@c\@therd@cfalse
\DeclareOption{is}{\isst@ndardtrue
                   \fdisst@ndardfalse
                   \disst@ndardfalse
                   \cdst@ndardfalse
                   \wdst@ndardfalse
                   \t@chrepfalse
                   \t@chcorrfalse
                   \@therd@cfalse}
\DeclareOption{fdis}{\isst@ndardfalse
                   \fdisst@ndardtrue
                   \disst@ndardfalse
                   \cdst@ndardfalse
                   \wdst@ndardfalse
                   \t@chrepfalse
                   \t@chcorrfalse
                   \@therd@cfalse}
\DeclareOption{dis}{\isst@ndardfalse
                   \fdisst@ndardfalse
                   \disst@ndardtrue
                   \cdst@ndardfalse
                   \wdst@ndardfalse
                   \t@chrepfalse
                   \t@chcorrfalse
                   \@therd@cfalse}
\DeclareOption{cd}{\isst@ndardfalse
                   \fdisst@ndardfalse
                   \disst@ndardfalse
                   \cdst@ndardtrue
                   \wdst@ndardfalse
                   \t@chrepfalse
                   \t@chcorrfalse
                   \@therd@cfalse
                   \c@pyrightfalse}
\DeclareOption{wd}{\isst@ndardfalse
                   \fdisst@ndardfalse
                   \disst@ndardfalse
                   \cdst@ndardfalse
                   \wdst@ndardtrue
                   \t@chrepfalse
                   \t@chcorrfalse
                   \@therd@cfalse
                   \c@pyrightfalse}
\DeclareOption{techrep}{\isst@ndardfalse
                   \fdisst@ndardfalse
                   \disst@ndardfalse
                   \cdst@ndardfalse
                   \wdst@ndardfalse
                   \t@chreptrue
                   \t@chcorrfalse
                   \@therd@cfalse}
\DeclareOption{techcorr}{\isst@ndardfalse
                   \fdisst@ndardfalse
                   \disst@ndardfalse
                   \cdst@ndardfalse
                   \wdst@ndardfalse
                   \t@chrepfalse
                   \t@chcorrtrue
                   \@therd@cfalse}
\DeclareOption{otherdoc}{\isst@ndardfalse
                   \fdisst@ndardfalse
                   \disst@ndardfalse
                   \cdst@ndardfalse
                   \wdst@ndardfalse
                   \t@chrepfalse
                   \t@chcorrfalse
                   \@therd@ctrue
                   \c@pyrightfalse}
\newif\ifdr@ftd@c\dr@ftd@cfalse
\setlength{\overfullrule}{\z@}
\DeclareOption{final}{\setlength{\overfullrule}{\z@}
                      \dr@ftd@cfalse}
\DeclareOption{draft}{\setlength\overfullrule{5pt}%
                      \dr@ftd@ctrue}
\newif\ifuglyc@ption\uglyc@ptionfalse
\DeclareOption{uglycaption}{\uglyc@ptiontrue}
\ExecuteOptions{notcopyright,otherdoc,final,a4paper,11pt,onecolumn}
\ProcessOptions
\c@pyrightfalse
\ifc@pyrightopt
  \ifisst@ndard\c@pyrighttrue\fi
  \iffdisst@ndard\c@pyrighttrue\fi
  \ifdisst@ndard\c@pyrighttrue\fi
  \ift@chrep\c@pyrighttrue\fi
  \ift@chcorr\c@pyrighttrue\fi
  \ifdr@ftd@c\c@pyrightfalse\fi
\fi
\ifnum\@ptsize < \tw@
  \input{iso1\@ptsize.clo}
\else
  \input{iso\@ptsize.clo}
\fi
%%%\newcommand{\Tfont}{\huge}
%%%\newcommand{\Tfont}{\huge}
%%%\newcommand{\Tfont}{\LARGE}
\ifuglyc@ption
  \newcommand{\captionsize}{\Cfont}
\else
  \newcommand{\captionsize}{\normalsize}
\fi
\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}
\renewcommand{\baselinestretch}{}
\setlength\parindent{\z@}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\clubpenalty  1000
\widowpenalty 1000
\setlength\headheight{11\p@}
\setlength\headsep{10mm}
\setlength\footskip{11mm}
\setlength\maxdepth{.5\topskip}
\setlength\@maxdepth\maxdepth
\setlength\textwidth{160mm}
\setlength\textheight{221.5mm}
\setlength\columnsep{10mm}
\setlength\topmargin{0mm}
\setlength\oddsidemargin{0mm}
\setlength\evensidemargin{0mm}
\setlength\marginparwidth{0pt}
\setlength\marginparsep{0pt}
\setlength\marginparpush{0pt}
\ifdr@ftd@c
    \setlength\marginparwidth{20mm}
    \setlength\marginparsep{0.5mm}
\fi
\if@us
    \setlength\topmargin{-9.4mm}
    \setlength\oddsidemargin{1.55mm}
    \setlength\evensidemargin{1.55mm}
    \typeout{ }
    \typeout{*********************************************************}
    \typeout{* Warning: You have used the letterpage option. *********}
    \typeout{* This will not be acceptable as ISO camera ready copy. *}
    \typeout{*********************************************************}
    \typeout{ }
\fi
\setlength\footnotesep{12\p@}
\setlength{\skip\footins}{6\p@ \@plus 2\p@ \@minus 2\p@}
\setcounter{topnumber}{2}
\renewcommand{\topfraction}{.8}
\setcounter{bottomnumber}{2}
\renewcommand{\bottomfraction}{.5}
\setcounter{totalnumber}{4}
\renewcommand{\textfraction}{.1}
\renewcommand{\floatpagefraction}{.7}
\setcounter{dbltopnumber}{2}
\renewcommand{\dbltopfraction}{.8}
\renewcommand{\dblfloatpagefraction}{.7}
\setlength\floatsep    {12\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\textfloatsep{20\p@ \@plus 2\p@ \@minus 4\p@}
\setlength\intextsep   {12\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\dblfloatsep    {12\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\dbltextfloatsep{20\p@ \@plus 2\p@ \@minus 4\p@}
\setlength\@fptop{0\p@ \@plus 1fil}
\setlength\@fpsep{8\p@ \@plus 2fil}
\setlength\@fpbot{0\p@ \@plus 1fil}
\setlength\@dblfptop{0\p@ \@plus 1fil}
\setlength\@dblfpsep{8\p@ \@plus 2fil}
\setlength\@dblfpbot{0\p@ \@plus 1fil}
 %%%\mark{{}{}}   % Initializes TeX's marks   <--- can vanish
\gdef\thestandard{}
\gdef\thesyear{}
\gdef\theslanguage{}
\def\standard#1{\gdef\thestandard{#1}}
\def\yearofedition#1{\gdef\thesyear{#1}}
\def\languageofedition#1{\gdef\theslanguage{#1}}
\def\corrigendum#1{\gdef\thescorrigendum{#1}}
\if@therd@c
    \newcommand{\@runninghead}{\thestandard}
\else
    \newcommand{\@runninghead}{}
\fi
%\ifc@pyright
%    \newcommand{\copyrighthead}%
%         {\mbox{\copyright {\sc \copyrightname}}}
%\else
\ift@chcorr\newcommand{\copyrighthead}{\thestandard:\thesyear\theslanguage/DTC \thescorrigendum}
\else\newcommand{\copyrighthead}{\thestandard:\thesyear\theslanguage}\fi
%\fi
\newcommand{\thedate}{{\footnotesize \copyright ISO/IEC 2002---All rights reserved}}
\newcommand{\ps@headings}{%
    \def\@oddhead{{\bfseries\@runninghead}\hfil{\bfseries\copyrighthead}}%
    \def\@evenhead{{\bfseries\copyrighthead}\hfil{\bfseries\@runninghead}}%
    \def\@oddfoot{\thedate\hfil\thepage}%
    \def\@evenfoot{\thepage\hfil\thedate}}
\newcommand{\ps@startpage}{%
    \def\@oddhead{\hfil{\bfseries\@runninghead}}%
    \def\@evenhead{{\bfseries\@runninghead}\hfil}%
    \def\@oddfoot{\thedate\hfil\thepage}%
    \def\@evenfoot{\thepage\hfil\thedate}}
\newcommand{\ps@nohead}{%
    \def\@oddhead{}%
    \def\@evenhead{}%
    \def\@oddfoot{}%
    \def\@evenfoot{}}
\newcommand{\rectoisotitlehead}{%
    \fillline\vspace{0.1\baselineskip}\linebreak%
    {\bfseries \uppercase{\ISname}}
     %\mbox{\ifc@pyright\space\copyright {\scshape \copyrightname}\else
           %\space{\scshape (\copyrightname)}%
           %\fi}
     \hfil {\bfseries \copyrighthead}%
    \vspace{-0.5\baselineskip}\linebreak\fillline}
\newcommand{\versoisotitlehead}{%
    \fillline\vspace{0.1\baselineskip}\linebreak%
    {\bfseries \copyrighthead} \hfil
       {\bfseries \uppercase{\ISname}}
     \mbox{\ifc@pyright\space\copyright {\scshape \copyrightname}\else
           \space{\scshape (\copyrightname)}\fi}
    \vspace{-0.5\baselineskip}\linebreak\fillline}
\def\ps@isotitlehead{%
    \def\@oddhead{\parbox{\textwidth}{\protect\rectoisotitlehead}}%
    \def\@evenhead{\parbox{\textwidth}{\protect\versoisotitlehead}}%
    \def\@oddfoot{\thedate\hfil\thepage}%
    \def\@evenfoot{\thepage\hfil\thedate}}
\gdef\thetitle{}
\newcommand{\introelement}[1]{\if\isoemptystring{#1}\else{#1\rule[-0.3cm]{0cm}{0.3cm}---\\}\fi}
\newcommand{\mainelement}[1]{#1\rule[-0.3cm]{0cm}{0.3cm}}
\newcommand{\compelement}[1]{\if\isoemptystring{#1}\else{---\\#1}\fi}
\renewcommand{\title}[3]{%
    \clearpage\pagenumbering{arabic}%
    \setcounter{clause}{0}%
    \if@therd@c \else %
         \protect\thispagestyle{isotitlehead}
     \fi
     \gdef\thetitle{{\Tfont\bfseries \introelement{#1}%
                               \mainelement{#2}%
                               \compelement{#3}}}
      \if@twocolumn
         \twocolumn[\vbox to 35mm{\thetitle}]
      \else
          \vbox to 35mm{\thetitle}
      \fi}
\def\@prwstartsection#1#2#3#4#5#6{%
  \if@noskipsec \leavevmode \fi
  \par
  \@tempskipa #4\relax
  \@afterindenttrue
  \ifdim \@tempskipa <\z@
    \@tempskipa -\@tempskipa \@afterindentfalse
  \fi
  \if@nobreak
    \everypar{}%
  \else
    \addpenalty\@secpenalty\addvspace\@tempskipa
  \fi
  \@ifstar
    {\@ssect{#3}{#4}{#5}{#6}}%
    {\@dblarg{\@prwsect{#1}{#2}{#3}{#4}{#5}{#6}}}}
\def\@prwsect#1#2#3#4#5#6[#7]#8{%
  \ifnum #2>\c@secnumdepth
    \let\@svsec\@empty
  \else
    \refstepcounter{#1}%
    \protected@edef\@svsec{\@seccntformat{#1}\relax}%
  \fi
  \@tempskipa #5\relax
  \ifdim \@tempskipa>\z@
    \begingroup
      #6{%
        \@hangfrom{\hskip #3\relax\@svsec}%
          \interlinepenalty \@M #8\@@par}%
    \endgroup
    \csname #1mark\endcsname{#7}%
    \ifnum #2>\c@tocdepth \else
      \addcontentsline{toc}{#1}{%
      \ifnum #2>\c@secnumdepth \else
        \protect\numberline{\csname the#1\endcsname}%
      \fi
      #7}%
    \fi
  \else
    \def\@svsechd{%
      #6{\hskip #3\relax
      \@svsec #8}%
      \csname #1mark\endcsname{#7}%
      \ifnum #2>\c@tocdepth \else
        \addcontentsline{toc}{#1}{%
        \ifnum #2>\c@secnumdepth \else
          \protect\numberline{\csname the#1\endcsname}%
        \fi
        #7}%
      \fi}%
  \fi
  \@xsect{#5}}
\setcounter{secnumdepth}{6}
\newcounter{annex}
\newcounter{clause}
\newcounter{sclause}[clause]
\newcounter{ssclause}[sclause]
\newcounter{sssclause}[ssclause]
\newcounter{ssssclause}[sssclause]
\newcounter{sssssclause}[ssssclause]
\renewcommand{\theannex}{\Alph{annex}}
\renewcommand{\theclause}{\arabic{clause}}
\renewcommand{\thesclause}{\theclause.\arabic{sclause}}
\renewcommand{\thessclause}{\thesclause.\arabic{ssclause}}
\renewcommand{\thesssclause}{\thessclause.\arabic{sssclause}}
\renewcommand{\thessssclause}{\thesssclause.\arabic{ssssclause}}
\renewcommand{\thesssssclause}{\thessssclause.\arabic{sssssclause}}
\newcommand{\clause}{\par
    \addvspace{\beforecskip}
    \@afterindentfalse
    \secdef\@clause\@sclause}
\def\@clause[#1]#2{\refstepcounter{clause}
    \tocskip{\tocentryskip}
    \addcontentsline{toc}{clause}{\theclause\hspace{1em}#1}
    \renewcommand{\@runninghead}{\bfseries \theclause\space\space #2}
    \typeout{Clause: #2}
    {\raggedright\Cfont\bfseries \theclause\space\space #2}%
    \par\nobreak\addvspace{\aftercskip}
    \@afterheading}
\def\@sclause#1{%
 %    \tocskip{\tocentryskip}
 %   \addcontentsline{toc}{clause}{#1}
    %\renewcommand{\copyrighthead}{\bfseries #1}
    \typeout{Clause: #1}
    {\raggedright\Cfont\bfseries #1}%
    \par\nobreak\addvspace{\aftercskip}
     \@afterheading}
\newcommand{\sclause}{\setcounter{note}{0}\setcounter{example}{0}
    \@prwstartsection{sclause}{2}%
        {\z@}%
        {\beforescskip}%
        {\afterscskip}%
        {\raggedright\SCfont\bfseries}}
\newcommand{\ssclause}{\setcounter{note}{0}\setcounter{example}{0}
    \@prwstartsection{ssclause}{3}%
        {\z@}%
        {\beforesscskip}%
        {\aftersscskip}%
        {\raggedright\SSCfont\bfseries}}
\newcommand{\sssclause}{\setcounter{note}{0}\setcounter{example}{0}
    \@prwstartsection{sssclause}{4}%
        {\z@}%
        {\beforesscskip}%
        {\aftersscskip}%
        {\raggedright\SSCfont\bfseries}}
\newcommand{\ssssclause}{\setcounter{note}{0}\setcounter{example}{0}
    \@prwstartsection{ssssclause}{5}%
        {\z@}%
        {\beforesscskip}%
        {\aftersscskip}%
        {\raggedright\SSCfont\bfseries}}
\newcommand{\sssssclause}{\setcounter{note}{0}\setcounter{example}{0}
    \@prwstartsection{sssssclause}{6}%
        {\z@}%
        {\beforesscskip}%
        {\aftersscskip}%
        {\raggedright\Cfont\bfseries}}
\def\clausemark#1{}
\def\sclausemark#1{}
\def\ssclausemark#1{}
\def\sssclausemark#1{}
\def\ssssclausemark#1{}
\def\sssssclausemark#1{}
\newcommand{\@nnex}[3]{%
    \clearpage
    \setcounter{table}{0}
    \setcounter{figure}{0}
    \setcounter{sclause}{0}
    \setcounter{note}{0}\setcounter{example}{0}
    \refstepcounter{annex}
    \ifnum\value{annex}=9 \refstepcounter{annex}\fi
    \ifnum\value{annex}=15 \refstepcounter{annex}\fi
    \ifnum\value{annex}=1
%%%        \tocskip{\tocentryskip}
%%%        \addtocontents{toc}{\string\hbox\space to\string\textwidth%
%%%             {\string\bfseries\space \listannexname\string\hfil}}
%%%        \tocskip{\baselineskip}
        \renewcommand{\clause}{%
          \ClassWarning{iso}{%
             \protect\clause\space commands are not allowed after starting Annexes}{%
             Type \space <return> to proceed and I'll ignore your \protect\clause.}}
        \renewcommand{\thesclause}{\theannex.\arabic{sclause}}
        \renewcommand{\thetable}{\theannex.\arabic{table}}
        \renewcommand{\thefigure}{\theannex.\arabic{figure}}
     \fi
     \tocskip{\tocentryskip}
     \addcontentsline{toc}{annex}{\ifnum2>\c@secnumdepth \else
        \protect\numberline{\annexname{} \theannex{} #3}#1\fi}
     \begin{center}%
         {\Cfont{\bfseries \annexname~\theannex}}\\
         #2
     \end{center}
     \vskip 0.5\baselineskip}
\newcommand{\infannex}[1]{\@nnex{#1}%
    {{\Cfont(\informativename)}}{(\informativename)}%
    \begin{center} {\Cfont\bfseries #1} \end{center}\vskip\baselineskip
    \renewcommand{\@runninghead}{\bfseries \theannex\space\space #1}
    \typeout{Informative annex: #1}}
\newcommand{\normannex}[1]{\@nnex{#1}%
    {{\Cfont(\normativename)}}{(\normativename)}%
    \begin{center} {\Cfont\bfseries #1} \end{center}\vskip\baselineskip
    \renewcommand{\@runninghead}{\bfseries \theannex\space\space #1}
    \typeout{Normative annex: #1}}
\newcommand{\repannex}[1]{\@nnex{#1}{}{}%
    \begin{center} {\Cfont\bfseries #1} \end{center}\vskip\baselineskip
    \typeout{Annex: #1}}
\setlength{\leftmargini}{2em}
\leftmargin \leftmargini
\setlength{\leftmarginii}{\leftmargini}
\setlength{\leftmarginiii}{\leftmargini}
\setlength{\leftmarginiv}{\leftmargini}
\setlength{\leftmarginv}{\leftmargini}
\setlength{\leftmarginvi}{\leftmargini}
\setlength{\itemindent}{\z@}
\setlength{\labelsep}{0.5em}
\setlength{\labelwidth}{\leftmargini}
  \addtolength{\labelwidth}{-\labelsep}
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty
\renewcommand{\theenumi}{\alph{enumi}}
\renewcommand{\theenumii}{\arabic{enumii}}
\renewcommand{\theenumiii}{\roman{enumiii}}
\renewcommand{\theenumiv}{\Alph{enumiv}}
\newcommand{\labelenumi}{\theenumi)}
\newcommand{\labelenumii}{\theenumii)}
\newcommand{\labelenumiii}{\theenumiii)}
\newcommand{\labelenumiv}{\theenumiv)}
\renewcommand{\p@enumii}{\theenumi}
\renewcommand{\p@enumiii}{\p@enumii\theenumii}
\renewcommand{\p@enumiv}{\p@enumiii\theenumiii}
\def\enumerate{%
  \ifnum \@enumdepth >\thr@@\@toodeep\else
    \advance\@enumdepth\@ne
    \edef\@enumctr{enum\romannumeral\the\@enumdepth}%

      \expandafter
      \list
        \csname label\@enumctr\endcsname
        {\usecounter\@enumctr\def\makelabel##1{##1\hfill}}%
  \fi}
\let\endenumerate =\endlist
\newcommand{\labelitemi}{\textbullet\hfill}
\newcommand{\labelitemii}{{\normalfont\bfseries \textemdash}\hfill}
\newcommand{\labelitemiii}{\textasteriskcentered}
\newcommand{\labelitemiv}{\textperiodcentered}
\def\itemize{%
  \ifnum \@itemdepth >\thr@@\@toodeep\else
    \advance\@itemdepth\@ne
    \edef\@itemitem{labelitem\romannumeral\the\@itemdepth}%

    \expandafter
    \list
      \csname\@itemitem\endcsname
       {\def\makelabel##1{##1\hfill}}%
  \fi}
\let\enditemize =\endlist
\newenvironment{description}%
               {\list{}{\labelwidth\z@ \itemindent 0.5em \labelsep 0.5em
                        \let\makelabel\descriptionlabel}}%
               {\endlist}
\newcommand*{\descriptionlabel}[1]{\normalfont\bfseries #1:\hfill}
\newenvironment{quotation}%
               {\list{}{\listparindent 1.5em%
                        \itemindent    \listparindent
                        \rightmargin   \leftmargin
                        \parsep        \z@ \@plus\p@}%
                \item[]}%
               {\endlist}
\newenvironment{quote}%
               {\list{}{\rightmargin\leftmargin}%
                \item[]}%
               {\endlist}
\newif\ifinfloat\infloatfalse
\newcounter{note}[clause]
\renewcommand{\thenote}{\arabic{note}}
\newcounter{floatnote}
\renewcommand{\thefloatnote}{\arabic{floatnote}}
\newcommand{\notelabel}[1]{{#1\hfill}}
\newenvironment{notes}{%
  \ClassWarning{iso}{The notes environment is a no-op and deprecated}}{}
\newcommand{\@setnoteparams}{%
  \setlength{\partopsep}{\z@}
  \setlength{\topsep}{\z@}
  \setlength{\labelsep}{1em}
  \setlength{\itemindent}{\labelsep}
  \setlength{\labelwidth}{\z@}
  \setlength{\listparindent}{\z@}}
\newenvironment{anote}{\list{}{%
  \ifinfloat \setlength{\leftmargin}{\z@} \else
             \setlength{\leftmargin}{2em} \fi
  \@setnoteparams}
  \Nfont\item[\notename]}%
{\endlist}
\newenvironment{note}{\list{}{%
  \ifinfloat
    \refstepcounter{floatnote}
    \let\thenote\thefloatnote
  \else
    \refstepcounter{note}
  \fi
  \ifinfloat \setlength{\leftmargin}{\z@} \else
             \setlength{\leftmargin}{2em} \fi
  \@setnoteparams}
  \Nfont\item[\notename~\thenote]}%
  {\endlist}
\newcounter{example}[clause]
\renewcommand{\theexample}{\arabic{example}}
\newenvironment{examples}{%
  \ClassWarning{iso}{The examples environment is a no-op and is deprecated}}{}
\newenvironment{anexample}{\list{}{%
  \ifinfloat \setlength{\leftmargin}{\z@} \else
             \setlength{\leftmargin}{2em} \fi
  \@setnoteparams}
  \Nfont\item[\examplename]}{\endlist}
\newenvironment{example}{\list{}{%
  \refstepcounter{example}
  \ifinfloat \setlength{\leftmargin}{\z@} \else
             \setlength{\leftmargin}{2em} \fi
  \@setnoteparams}
  \Nfont\item[\examplename~\theexample]}%
  {\endlist}
\newcommand{\nreferencelabel}[1]{#1,\hfill}
\newenvironment{nreferences}{\list{}%
    {\leftmargin 0pt \itemindent 0.5em
     \labelwidth\z@ \labelsep 0.5em
     \let\makelabel\nreferencelabel}}%
    {\endlist}
\newcommand{\isref}[2]{\item[#1]{\itshape #2}}
\newcounter{discount}
\newif\ifd@is\d@isfalse
\newcommand{\disref}[2]{\begingroup
    \ifd@is
         {\item[#1\protect\@footnotemark]{\itshape #2}}
    \else
         \addtocounter{footnote}{1}
         \setcounter{discount}{\value{footnote}}
         \xdef\@thefnmark{\thediscount)}
         \item[#1\protect\@footnotemark]{\itshape #2}%
         \footnotetext[\value{discount}]{\tbpname}
         \d@istrue
    \fi
    \endgroup\d@istrue}
\newcounter{infrefctr}
\renewcommand{\p@infrefctr}{}
\renewcommand{\theinfrefctr}{\arabic{infrefctr}}
%ISO 690 but not ISO example doc \newcommand{\labelinfref}{\arabic{infrefctr}.~}
\newcommand{\labelinfref}{[\arabic{infrefctr}]}
\newenvironment{references}{\list{\labelinfref}{\usecounter{infrefctr}
     \leftmargin 0pt \itemindent 0.5em
     \labelwidth\z@ \labelsep 0.5em}}%
    {\endlist}
\newcommand{\reference}[3]{\item {#1} {{\itshape #2}} {#3}}
\newenvironment{olddefinitions}%
    {\begin{itemize}}%
    {\end{itemize}}
\newcommand{\olddefinition}[2]{\item #1 #2}
\newcounter{cl@level}
\newcommand{\@defcl}[1]{}
\newenvironment{definitions}{%
  \setcounter{cl@level}{6}
  \ifnum\value{sssssclause}=0 \setcounter{cl@level}{5} \fi
  \ifnum\value{ssssclause}=0 \setcounter{cl@level}{4} \fi
  \ifnum\value{sssclause}=0 \setcounter{cl@level}{3} \fi
  \ifnum\value{ssclause}=0 \setcounter{cl@level}{2} \fi
  \ifnum\value{sclause}=0 \setcounter{cl@level}{1} \fi
  \ifnum\value{clause}=0 \setcounter{cl@level}{0} \fi
  \ifcase\value{cl@level} % 0, NOT YET IN A CLAUSE
    \ClassWarning{iso}{Definitions started before the initial clause}
    \renewcommand{\@defcl}[1]{\setcounter{note}{0}\setcounter{example}{0}
      \par
      \addvspace{\beforecskip}
      \@afterindentfalse
      \refstepcounter{clause}
      {\raggedright\bfseries \theclause\\* ##1\\*}}
  \or % 1, called in a clause
    \renewcommand{\@defcl}[1]{\setcounter{note}{0}\setcounter{example}{0}
      \par
      \addvspace{\beforescskip}
      \@afterindentfalse
      \refstepcounter{sclause}
      {\raggedright\bfseries \thesclause\\* ##1\\*}}
  \or % 2, called in an sclause
    \renewcommand{\@defcl}[1]{\setcounter{note}{0}\setcounter{example}{0}
      \par
      \addvspace{\beforesscskip}
      \@afterindentfalse
      \refstepcounter{ssclause}
      {\raggedright\bfseries \thessclause\\* ##1\\*}}
  \or % 3, called in an ssclause
    \renewcommand{\@defcl}[1]{\setcounter{note}{0}\setcounter{example}{0}
      \par
      \addvspace{\beforesscskip}
      \@afterindentfalse
      \refstepcounter{sssclause}
      {\raggedright\bfseries \thesssclause\\* ##1\\*}}
  \or % 4, called in an sssclause
    \renewcommand{\@defcl}[1]{\setcounter{note}{0}\setcounter{example}{0}
      \par
      \addvspace{\beforesscskip}
      \@afterindentfalse
      \refstepcounter{ssssclause}
      {\raggedright\bfseries \thessssclause\\* ##1\\*}}
  \or % 5, called in an ssssclause
    \renewcommand{\@defcl}[1]{\setcounter{note}{0}\setcounter{example}{0}
      \par
      \addvspace{\beforesscskip}
      \@afterindentfalse
      \refstepcounter{sssssclause}
      {\raggedright\bfseries \thesssssclause\\* ##1\\*}}
  \else % 5+, called in an sssssclause or lower
    \ClassWarning{iso}{Definitions too deeply nested}
    \renewcommand{\@defcl}[1]{
      \par
      \addvspace{\beforesscskip}
      \@afterindentfalse
      \refstepcounter{sssssclause}
      {\raggedright\bfseries \thesssssclause\\* ##1\\*}}
  \fi}%
  {}
 %%%\newcommand{\definition}[2]{\@defcl[#1]{#1:} #2}
\newcommand{\definition}[2]{\@defcl{#1} #2}
\newcommand{\symbollabel}[1]{{#1 \hfill}}
\newenvironment{symbols}{\list{}%
    {\itemindent 0em \leftmargin 8em
     \labelsep 1em \labelwidth 5em
     \let\makelabel\symbollabel}}%
    {\endlist}
\newcommand{\symboldef}[2]{\item[#1] #2}
\newenvironment{inscope}[1]{%
  \inscopename #1:
  \begin{itemize}}%
  {\end{itemize}}
\newenvironment{outofscope}[1]{%
  \outofscopename #1:
  \begin{itemize}}%
  {\end{itemize}}
\setlength\arraycolsep{4\p@}
\setlength\tabcolsep{4\p@}
\setlength\arrayrulewidth{.4\p@}
\setlength\doublerulesep{2\p@}
\setlength\tabbingsep{\labelsep}
\skip\@mpfootins = \skip\footins
\setlength\fboxsep{3\p@}
\setlength\fboxrule{.4\p@}

\renewcommand{\theequation}{\arabic{equation}}
\newcounter{figure}
\renewcommand{\thefigure}{\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename~\thefigure}
\newif\iffigs\figsfalse
\newenvironment{figure}{%
               \iffigs\else\figstrue
                  \if@filesw \immediate\write\@mainaux{%
                     \string\gdef\string\setfigs{%
                         \string\floatlist{\listfigurename}{lof}}}
                   \fi
               \fi
               \infloattrue\setcounter{floatnote}{0}
               \@float{figure}}%
               {\end@float\infloatfalse}
\newenvironment{figure*}{%
               \iffigs\else\figstrue
                  \if@filesw \immediate\write\@mainaux{%
                     \string\gdef\string\setfigs{%
                         \string\floatlist{\listfigurename}{lof}}}
                   \fi
               \fi
               \infloattrue\setcounter{floatnote}{0}
               \@dblfloat{figure}}%
               {\end@dblfloat\infloatfalse}
\newcounter{table}
\renewcommand{\thetable}{\@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\tablename~\thetable}
\newif\iftabs\tabsfalse
\newenvironment{table}{%
                \iftabs\else\tabstrue
                    \if@filesw \immediate\write\@mainaux{%
                        \string\gdef\string\settabs{%
                             \string\floatlist{\listtablename}{lot}}}
                    \fi
                \fi
                \infloattrue\setcounter{floatnote}{0}
                \@float{table}}%
               {\end@float\infloatfalse}
\newenvironment{table*}{%
                \iftabs\else\tabstrue
                    \if@filesw \immediate\write\@mainaux{%
                        \string\gdef\string\settabs{%
                             \string\floatlist{\listtablename}{lot}}}
                    \fi
                \fi
                \infloattrue\setcounter{floatnote}{0}
                \@dblfloat{table}}%
               {\end@dblfloat\infloatfalse}
\newcounter{bottomfloat}
\renewcommand{\thebottomfloat}{\@arabic\c@bottomfloat}
\def\fps@bottomfloat{b}
\def\ftype@bottomfloat{4}
\def\ext@bottomfloat{lbf}
\def\fnum@bottomfloat{\thebottomfloat}
\newenvironment{bottomfloat}%
                {\@float{bottomfloat}}%
                {\end@float}
\newenvironment{bottomfloat*}%
               {\@dblfloat{bottomfloat}}%
               {\end@dblfloat}
\newlength\abovecaptionskip
\newlength\belowcaptionskip
\setlength\abovecaptionskip{10\p@}
\setlength\belowcaptionskip{10\p@}
\long\def\@makecaption#1#2{%
  \vskip\abovecaptionskip
  \sbox\@tempboxa{{\captionsize\bfseries #1~---~#2}}%
  \ifdim \wd\@tempboxa >\hsize
    {\centering {\captionsize\bfseries #1~---~#2}\par}
  \else
    \global \@minipagefalse
    \hbox to\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip\belowcaptionskip}
\newcommand{\contcaption}{\@contcaption\@captype}
\long\def\@contcaption#1#2{%
    \begingroup
        \@parboxrestore
        \normalsize
        \@makecaption{\csname fnum@#1\endcsname}{\ignorespaces #2}\par
    \endgroup}
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*{\cal}{\@fontswitch{\relax}{\mathcal}}
\DeclareRobustCommand*{\mit}{\@fontswitch{\relax}{\mathnormal}}
\newcommand{\aref}[1]{\annexrefname~\ref{#1}}
\newcommand{\bref}[1]{[\ref{#1}]}
\newcommand{\cref}[1]{\clauserefname~\ref{#1}}
\newcommand{\eref}[1]{\examplerefname~\ref{#1}}
\newcommand{\fref}[1]{\figurerefname~\ref{#1}}
\newcommand{\nref}[1]{\noterefname~\ref{#1}}
\newcommand{\tref}[1]{\tablerefname~\ref{#1}}
\newcommand{\@pnumwidth}{1.55em}
\newcommand{\@tocrmarg} {2.55em}
\newcommand{\@dotsep}{4.5}
\newlength{\tocentryskip} \setlength{\tocentryskip}{1em}
\newlength{\tocbaseline} \setlength{\tocbaseline}{20pt}
\newcommand{\tocskip}[1]{%
    \addtocontents{toc}{\protect\vspace{#1}}}
\newcommand{\tableofcontents}{%
    \if@twocolumn
      \@restonecoltrue\onecolumn
    \else
      \@restonecolfalse
    \fi
    \ifc@pyright\@copyrighttext\vfill\eject\fi
    \hbox to \textwidth{{\Cfont\bfseries \contentsname}\hfil\pagename}
    \setcounter{page}{3}
    \begingroup
        \parskip\z@
        \@starttoc{toc}
    \endgroup
    \if@restonecol\twocolumn\fi}
\newcommand{\l@clause}{\@dottedtocline{1}{0em}{2.3em}}
\newcommand{\l@sclause}{\@dottedtocline{2}{1.5em}{3.2em}}
\newcommand{\l@ssclause}{\@dottedtocline{3}{3em}{4.1em}}
\newcommand{\l@sssclause}{\@dottedtocline{4}{4.5em}{5em}}
\newcommand{\l@ssssclause}{\@dottedtocline{5}{6em}{5.9em}}
\newcommand{\l@sssssclause}{\@dottedtocline{6}{7.5em}{6.8em}}
\newcommand{\l@annex}{\@dottedtocline{1}{0em}{11.0em}}
\newcommand{\floatlist}[2]{%
    \vspace{2\tocentryskip}
    \hbox to \textwidth{\bfseries #1\hfil}
    \vspace*{\tocentryskip}
    \nopagebreak
    \begingroup
        \parskip\z@
        \@starttoc{#2}
    \endgroup}
\newif\iffigs\figsfalse
\newcommand{\listoffigures}{%
    \ifx\undefined\setfigs\else\setfigs\fi}
\newcommand{\l@figure}{\@dottedtocline{1}{0em}{3.0em}}
\newif\iftabs\tabsfalse
\newcommand{\listoftables}{%
    \ifx\undefined\settabs\else\settabs\fi}
\let\l@table\l@figure
\newenvironment{theindex}{%
    \clearpage
    \typeout{Index}
    \tocskip{\tocentryskip}
    \addcontentsline{toc}{index}{\indexname}
    \renewcommand{\@runninghead}{\bfseries Index}
    \columnseprule \z@
    \twocolumn{\Cfont\bfseries \indexname}\vskip\baselineskip
    \parindent\z@
    \parskip\z@ \@plus .3\p@\relax
    \let\item\@idxitem}{%
    \clearpage}
\newcommand{\l@index}{\@dottedtocline{1}{0em}{0pt}}
\newcommand{\@idxitem}  {\par\hangindent 40\p@}
\newcommand{\subitem}   {\par\hangindent 40\p@ \hspace*{20\p@}}
\newcommand{\subsubitem}{\par\hangindent 40\p@ \hspace*{30\p@}}
\newcommand{\indexspace}{\par \vskip 10\p@ \@plus5\p@ \@minus3\p@\relax}
\newcommand{\indexfill}{\dotfill}
\newcommand{\sindexfill}{\dotfill}
\newcommand{\ssindexfill}{\dotfill}
\newcommand{\indexsee}[1]{\par \hspace*{2em} \emph{see} #1}
\newcommand{\indexseealso}[1]{\par \hspace*{2em} \emph{see also} #1}
\newcommand{\alphaindexspace}[1]{}
\newcommand{\otherindexspace}[1]{}
\renewcommand{\footnoterule}{%
  \kern-3\p@
  \hrule width .4\columnwidth
  \kern 2.6\p@}
\renewcommand{\thefootnote}{\arabic{footnote})}
\long\def\@makefntext#1{%
    \parindent 1em%
    \noindent
    \hbox to 1.8em{\hss\@makefnmark}#1}
\newif\ifchangemarks\changemarksfalse
\newcommand{\v@rid}[2]{%
    \ifchangemarks
       \ifdr@ftd@c
           \marginpar[#1]{#2}
    \fi\fi}
\newcommand{\editorial}[1]{%
    \ifchangemarks
        \v@rid{\small\hfill$^{#1}$ED}%
        {\small ED$^{#1}$\hfill}
    \fi}
\long\def\added#1#2{%
    \ifchangemarks
        \v@rid{\small\hfill$^{#2}\Rightarrow$}%
        {\small $\Leftarrow^{#2}$\hfill}
        \emph{#1}
    \else
       #1
    \fi}
\newcommand{\deleted}[1]{%
    \ifchangemarks
        \v@rid{\small\hfill$^{#1}\Leftarrow$}%
        {\small $\Rightarrow^{#1}$\hfill}
    \fi}
\long\def\moved#1#2{%
    \ifchangemarks
        \v@rid{\small\hfill$^{#2}\Leftrightarrow$}%
        {\small $\Leftrightarrow^{#2}$\hfill}
        \emph{#1}
    \else
       #1
    \fi}
\newenvironment{foreword}{%
 %%    \@verridetrue
    \ift@chcorr\ifc@pyright\@copyrighttext\vfill\eject\fi\else\tableofcontents\vfill\eject\fi
    \listoffigures
    \listoftables
    \clearpage
    \if@twocolumn
      \@restonecoltrue\onecolumn
    \else
      \@restonecolfalse
    \fi
    \clause*{\forewordname}
    \tocskip{\tocentryskip}
    \addcontentsline{toc}{clause}{\forewordname}}%
%%    {\@verridefalse}
    {\if@restonecol\twocolumn\fi}
\newcommand{\@copyrighttext}{%
    %\begin{bottomfloat}[b]
        \begin{small}
        \copyrightnotice
        \end{small}
    %\end{bottomfloat}%
}
\newenvironment{introduction}{%
  %%    \@verridetrue
    \clearpage
    \if@twocolumn
      \@restonecoltrue\onecolumn
    \else
      \@restonecolfalse
    \fi
    \clause*{\introductionname}
    \tocskip{\tocentryskip}
    \addcontentsline{toc}{clause}{\introductionname}}%
 %%    {\@verridefalse}
    {\if@restonecol\twocolumn\fi}
\newcommand{\scopeclause}{\clause{\scopename}}
\newcommand{\normrefsclause}{\clause{\normrefsname}}
\newcommand{\defclause}{\clause{\defname}}
\newcommand{\symclause}{\clause{\symname}}
\newcommand{\abbclause}{\clause{\abbname}}
\newcommand{\defsymclause}{\clause{\defsymname}}
\newcommand{\defabbclause}{\clause{\defabbname}}
\newcommand{\symabbclause}{\clause{\symabbname}}
\newcommand{\defsymabbclause}{\clause{\defsymabbname}}
\newcommand{\defsubclause}{\sclause{\defname}}
\newcommand{\symsubclause}{\sclause{\symname}}
\newcommand{\abbsubclause}{\sclause{\abbname}}
\newcommand{\defsymsubclause}{\sclause{\defsymname}}
\newcommand{\defabbsubclause}{\sclause{\defabbname}}
\newcommand{\symabbsubclause}{\sclause{\symabbname}}
\newcommand{\fcandaclause}{\clause{\fcandaname}}
\newcommand{\bibannex}{%
  \typeout{Bibliography}
  \clearpage
  \tocskip{\tocentryskip}
  \addcontentsline{toc}{index}{\bibname}
  \renewcommand{\@runninghead}{\bfseries Bibliography}
  {\Cfont\bfseries \bibname}\vskip\aftercskip}
\newcommand{\copyrightnotice}{%
\begin{center}
\fbox{\parbox{0.9\linewidth}{
\begin{center}
\textbf{Copyright notice}
\end{center}
This ISO document is a Draft International Standard
and is copyright-protected by ISO.  Except as permitted
under the applicable laws of the user's country, neither
this ISO draft nor any extract from it may be reproduced,
stored in a retrieval system or transmitted in any form
or by any means, electronic, photocopying, recording or
otherwise, without prior written permission being secured.

Requests for permission to reproduce should be addressed
to ISO at the address below or ISO's member body in the
country of the requester.

\hspace*{2em}Copyright Manager\\
\hspace*{2em}ISO Central Secretariat\\
\hspace*{2em}1 rue de Varembe\\
\hspace*{2em}1211 Geneva 20 Switzerland\\
\hspace*{2em}tel. +41 22 749 0111\\
\hspace*{2em}fax  +41 22 734 1079\\
\hspace*{2em}internet: copyright@iso.ch

Reproduction may be subject to royalty payments or a
licensing agreement.

Violators may be prosecuted.

Permission is granted to reproduce mathematical definitions
(i.e.\ syntactic definitions, syntactic transformations, type
inference rules, semantic transformations and semantic relations)
from this ISO draft, free of charge, on condition that the
following statement is reproduced.

\hspace*{2em}``Mathematical definitions from the Z Standard are copyright ISO.''
}}
\end{center}}
%\vspace{\baselineskip}
%\hrule
%\vspace{\baselineskip}
%The following is what ISO have used for many other standards.
%
%``\copyright\quad \copyrightname\quad \thesyear\newline
%All rights reserved. Unless otherwise specified, no part of
%this publication may be reproduced or utilized in any form or
%by any means, electronic or mechanical, including photocopying
%and microfilm, without permission in writing from the
%publisher.
%
%Permission is granted to use the prelude (clause \ref{sec:prelude})
%and the mathematical toolkit (annex \ref{sec:toolkit}) in any way.
%\vspace{\baselineskip}\newline
%\hspace*{1em} International Organization for Standardization\newline
%\hspace*{1em} Case Postale 56 $\bullet$ CH-2111 Gen{\`e}ve 20 $\bullet$ Switzerland
%\ifisst@ndard \ifc@pyright
%    \vspace{\baselineskip}\newline\noindent
%    Printed in Switzerland
%\fi\fi
%\ift@chrep \ifc@pyright
%    \vspace{\baselineskip}\newline\noindent
%    Printed in Switzerland
%\fi\fi''
%\vspace{\baselineskip}
%\hrule
%\vspace{\baselineskip}
%The following is what ISO offer in their current example document.
%
%``Copyright notice
%
%This ISO document is a Draft International Standard and is copyright-protected
%by ISO.  Except as permitted under the applicable laws of the user's country,
%neither this ISO draft nor any extract from it may be reproduced, stored
%in a retrieval system or transmitted in any form or by any means,
%electronic, photocopying, recording or otherwise, without prior written
%permission being secured.
%
%Requests for permission to reproduce should be addressed to ISO at the
%address below or ISO's member body in the country of the requester.
%
%Copyright Manager\\
%ISO Central Secretariat\\
%1 rue de Varemb\'e\\
%1211 Geneva 20 Switzerland\\
%tel. +41 22 749 0111\\
%fax +41 22 734 1079\\
%internet: iso@iso.ch
%
%Reproduction may be subject to royalty payments or a licensing agreement.
%
%Violators may be prosecuted.''
%\vspace{\baselineskip}
%\hrule
%\vspace{\baselineskip}
%The following is the Project Editor's opening bid in negotiations.
%
%``We think that a copyright statement permitting copying in whole
%or in part on condition that the copyright statement is reproduced
%and any alterations are clearly marked as alterations would best
%serve the user community.''
%\vspace{\baselineskip}
%\hrule
\newcommand{\fwdbp}{\input{isofwdbp}}
\newcommand{\trfwdbpi}{\input{trfwd1}}
\newcommand{\trfwdbpii}[1]{%
\par
This document is being issued in the Technical Report (type 2) series of
publications (according to subclause G.3.2.2 of part~1 of the ISO/IEC
Directives as a `prospective standard for provisional application'
in the field of #1 as there is an urgent need for guidance on how
standards in this field should be used to meet an identified need.

\input{trfwd2}

}
\newcommand{\normrefbp}[1]{%

The following normative documents contain provisions which, through
reference in this text, constitute provisions of this #1.
For dated references, subsequent amendments to, or revisions of,
any of these publications do not apply.
However, parties
to agreements based on this #1
are encouraged to investigate the possibility of applying
the most recent editions of the normative documents indicated below.
For undated references, the latest edition of the normative
document referred to applies.
Members of ISO and IEC maintain registers of currently
valid International Standards.

}
\newcommand{\abbname}{Abbreviations}
\newcommand{\annexname}{Annex}
\newcommand{\bibname}{Bibliography}
\newcommand{\contentsname}{Contents}
\newcommand{\defname}{Definitions}
\newcommand{\defabbname}{Definitions and abbreviations}
\newcommand{\defsymname}{Definitions and symbols}
\newcommand{\defsymabbname}{Definitions, symbols and abbreviations}
\newcommand{\fcandaname}{Fundamental concepts and assumptions}
\newcommand{\forewordname}{Foreword}
\newcommand{\indexname}{Index}
\newcommand{\informativename}{informative}
\newcommand{\introductionname}{Introduction}
\newcommand{\normativename}{normative}
\newcommand{\normrefsname}{Normative references}
\newcommand{\scopename}{Scope}
\newcommand{\sectionname}{Section}
\newcommand{\symname}{Symbols}
\newcommand{\symabbname}{Symbols and abbreviations}
\newcommand{\copyrightname}{ISO}
\newcommand{\examplename}{EXAMPLE}
 %%%\newcommand{\examplesname}{EXAMPLES}
\newcommand{\figurename}{Figure}
\newcommand{\inscopename}{The following are within the scope of this }
\newcommand{\ISname}{INTERNATIONAL STANDARD}
\ift@chrep\renewcommand{\ISname}{TECHNICAL REPORT}\fi
\ift@chcorr\renewcommand{\ISname}{DRAFT TECHNICAL CORRIGENDUM}\fi
\newcommand{\listannexname}{Annexes}
\newcommand{\listfigurename}{Figures}
\newcommand{\listtablename}{Tables}
\newcommand{\notename}{NOTE}
 %%%\newcommand{\notesname}{NOTES}
\newcommand{\outofscopename}{The following are outside the scope of this }
\newcommand{\pagename}{Page}
\newcommand{\tablename}{Table}
\newcommand{\tbpname}{To be published.}
\newcommand{\annexrefname}{annex}
\newcommand{\clauserefname}{clause}
\newcommand{\examplerefname}{example}
\newcommand{\figurerefname}{Figure}
\newcommand{\noterefname}{note}
\newcommand{\tablerefname}{Table}
\newcommand{\abstractname}{}
\newcommand{\appendixname}{}
\newcommand{\chaptername}{}
\newcommand{\partname}{}
\newcommand{\refname}{}
\newcommand{\today}{\ifcase\month\or
  January\or February\or March\or April\or May\or June\or
  July\or August\or September\or October\or November\or December\fi
  \space\number\day, \number\year}
\setlength\columnsep{10\p@}
\setlength\columnseprule{0\p@}
\pagestyle{headings}
\pagenumbering{roman}
\setcounter{clause}{0}
\setcounter{annex}{0}
\setcounter{tocdepth}{1}
\@twosidetrue
\raggedbottom
\if@twocolumn
  \twocolumn
  \sloppy
  \flushbottom
\else
  \onecolumn
\fi
\endinput
%% 
%% End of file `isov2.cls'.
