# pdfscreen.awk (c) 2000 Ian Toyn of the University of York
# Package a cadiz web page as a standalone pdflatex document.

BEGIN {
  print "\\documentclass[12pt,a4paper]{scrartcl}"
  print "\\usepackage{cadizweb}"
  print "\\usepackage{history}"
  print "\\setcounter{secnumdepth}{5}"
  print "\\setcounter{tocdepth}{3}"
  print "\\def\\numberline#1{#1 }"
  print "\\long\\def\\contentsline#1#2#3#4{%"
  print " \\definecolor{buttonbackground}{gray}{.8}%{.553,.714,.804}%"
  print "  \\definecolor{fgcolor}{gray}{0}%"
  print "  \\hyperlink{#4}{\\scrNormalButton{\\panelwidth}{\\truncate{.9\\panelwidth}{#2}}}%"
  print " \\par}"
  print "\\def\\select@language#1{}"
  print "\\begin{document}"
}
{
  print
}
END {
  print "\\end{document}"
}
